  
//
//  Fas.h - (Scalar) Math Addition & Subtraction
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//      This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions


#ifndef __Fas_H
#define __Fas_H

#ifdef __cplusplus
extern "C" {
#endif



//
//  Addition
//
typedef void (*vmp_FAddProc)( float * const pfD, float fA, float fB );
extern vmp_FAddProc vmp_FAdd;



//
//  Subtraction
//
typedef void (*vmp_FSubProc)( float * const pfD, float fA, float fB );
extern vmp_FSubProc vmp_FSub;




#ifdef __cplusplus
}
#endif

#endif  //__Fas3D_H


