  
//
//  vecBug.h - VMP 3D Debug Module
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 5 Oct 2001 - James Leiterman
//
//  Last Modification
//
//
//  stab=4
//

#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries
    
    //  Book Development Library Modules

#include "CpuAsm.h"                                     // CPU Module
#include "vmp3D.h"

//#include "Matrix3D.h"
//#include "Matrix3DEx.h"


#ifndef __vecBug_H
#define __vecBug_H

#ifdef __cplusplus
extern "C" {
#endif




void vmp_MatrixPrint( vmp3DMatrix Mx );

void vmp_MatrixTestFill( vmp3DMatrix Mx );

void vmp_MatrixSplat( vmp3DMatrix Mx, float f );

void vmp_LogMem( const void * const vp, uint size );

 
#ifdef __cplusplus
}
#endif

#endif  //__vecBug_H


