  
//
//  FmdEx.h - (Scalar) Math Multiplication & Division
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//      This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "CpuAsm.h"


#ifndef __FmdEx_H
#define __FmdEx_H

#ifdef __cplusplus
extern "C" {
#endif


void FmdSetup( const CpuInfo * const pcinfo );

void vmp_FMulGeneric( float * const pfD, float fA, float fB );
void vmp_FMulVU( float * const pfD, float fA, float fB );

void vmp_FDivGeneric( float * const pfD, float fA, float fB );
void vmp_FDivVU( float * const pfD, float fA, float fB );

void vmp_FDivFastVU( float * const pfD, float fA, float fB );


#ifdef __cplusplus
}
#endif

#endif  //__FmdEx_H


