
//
//  Fsf.c - (Scalar) Special Function (Float)
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries
    
#include    <assert.h>
#include    <stdio.h>
#include    <math.h>

    //  Book Development Library Modules

#include    "vmp3D.h"
#include    "vmp3DEx.h"
#include    "Fsf.h"                                     // (float) Math
#include    "FsfEx.h"



vmp_FSqrtProc               vmp_FSqrt;
vmp_FSqrtProc               vmp_FSqrtFast;



//
//  (float) Square Root
//

void vmp_FSqrtGeneric( float * const pfD, float fA )
{
    ASSERT_PTR4(pfD);
    ASSERT_FNEG(fA);

    *pfD = sqrtf( fA );
}






