  
//
//  VTrig3D.h - 3D Math Trignometric Function
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//      This module is designed for fast 3D math
//
//  Created - 3 Oct 2001 - James Leiterman
//
//  Last Modification
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions
#include    "vmp3D.h"



#ifndef __VTrig3D_H
#define __VTrig3D_H

#ifdef __cplusplus
extern "C" {
#endif





//
//  Float - Sine & Cosine
//
typedef void (*vmp_FSinCosProc)( float * const pfSin, float * const pfCos, float fRads );
extern vmp_FSinCosProc      vmp_FSinCos;


//
//  Float - Sine
//
typedef void (*vmp_FSinProc)( float * const pfD, float fRads );
extern vmp_FSinProc         vmp_FSin;


//
//  Float - Cosine
//
typedef void (*vmp_FCosProc)( float * const pfD, float fRads );
extern vmp_FCosProc         vmp_FCos;


//
//  Float - Tangent
//
typedef void (*vmp_FTanProc)( float * const pfD, float fRads );
extern vmp_FTanProc         vmp_FTan;




#ifdef __cplusplus
}
#endif

#endif  //__VTrig3D_H


