
//
//  log.h - Log (Printf) Module
//
//  Cpu - EE - VU# Cpu definitions
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to accomodate the book.
//
//  Created - 24 Nov 2001 - James Leiterman
//
//  Last Modification
//
//
//  stab=4
//


#include    "KariType.h"                                // Kari Games Master Definitions

#include    <stdio.h>


#ifndef __Log_H
#define __Log_H

#ifdef __cplusplus
extern "C" {
#endif



    //
    //  Function Prototypes
    //

#ifdef HOMEBREW
void logSetup( void );

void logWrite( const char *str, ... );
#else
#define logWrite    printf
#endif



#ifdef __cplusplus
}
#endif

#endif  //__Log_H

